import shutil
from pathlib import Path
import kagglehub

dataset_dir = Path("../dataset/DEAM")
dataset_dir.mkdir(parents=True, exist_ok=True)

print("Скачивание датасета DEAM...")

# kagglehub по умолчанию тянет данные в системный кэш (~/.cache)
cache_path = kagglehub.dataset_download("imsparsh/deam-mediaeval-dataset-emotional-analysis-in-music")

print(f"Загружено в кэш: {cache_path}")
print(f"Перенос файлов в {dataset_dir} и очистка временной директории...")

# Перемещаем данные
shutil.copytree(cache_path, dataset_dir, dirs_exist_ok=True)
shutil.rmtree(cache_path)

print("Готово. Датасет DEAM загружен, кэш очищен.")